Description

Please give us a panel that shows load times and other relevant diagnostic information, at a glance, for layers. It's a lot of trial and error

and deep investgiation to deal with slow-loading projects that have several layers. It's not always obvious which ones need more

optimization or removal.

I'm hoping for something like an additional panel that is refreshed with new info every time the canvas is redrawn.

History

#1 - 2013-06-29 02:50 AM - Giovanni Manghi

- Operating System deleted (Windows 7 x64)

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2013-07-01 11:42 AM - Larry Shaffer

Hi Aren,

Such a panel already exists: Log Messages.

Currently, it gives good information on a variety of items, but could definitely include more optional logging. I have done something similar with the 'Map

canvas refresh' debug logging under the Options->Rendering tab.

It would not be hard to add such optional logging (checkbox in Options) for layer loading. However, do you mean just layer loading or rendering?

Shouldn't be too hard to add both.

There is already tons of debug output produced by a debug build of QGIS, but those versions are generally not heavily used by the user part of the

community. Any such new user-side debugging tools should be focused on tools helpful to user and/or plugin developers.

Maybe a new section in Options called 'Performance' which offers lots of optional user-side performance logging checkboxes that trigger useful

'user-oriented' debug output. This would be helpful for many users and developers alike.

#3 - 2013-07-03 02:26 PM - Aren Cambre

Thanks. I guess what I am looking for is a glanceable display that doesn't require (painful) analysis of log files. Just give me the basic information that I

could use to help diagnose slow load times. That may be what you said on your last paragraph?

do you mean just layer loading or rendering?

Yes. ;-) Please do both.
#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
